package com.goafanti.common.dao;

import java.util.List;

import com.goafanti.common.model.OrgHumanResource;

public interface OrgHumanResourceMapper {
    int deleteByPrimaryKey(String id);

    int insert(OrgHumanResource record);

    int insertSelective(OrgHumanResource record);

    OrgHumanResource selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(OrgHumanResource record);

    int updateByPrimaryKey(OrgHumanResource record);

	OrgHumanResource selectOrgHumanResourceByUserId(String uid);

	int batchDeleteByPrimaryKey(List<String> id);

	OrgHumanResource selectOrgHumanResourceByUidAndYear(Integer year, String uid);
}